[messaging-app] missing visual hints when switching SIMs in thread

Bug #1356950 reported by Olga Kemmet on 2014-08-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu UX
High
Olga Kemmet
messaging-app
Fix Released
High
Tiago Salem Herrmann
history-service (Ubuntu RTM)
High
Tiago Salem Herrmann
messaging-app (Ubuntu)
High
Tiago Salem Herrmann
messaging-app (Ubuntu RTM)
High
Tiago Salem Herrmann

Bug Description

If using a dual SIM device, it is possible to switch between the two SIMs in one thread. If user selects an other SIM from the header sub-section, a visual hint/indication should be visible in the actual messaging thread.
Please refer to the attached image.

Related branches

Olga Kemmet (olga-kemmet) wrote :
Changed in ubuntu-ux:
status: New → Fix Committed
Bill Filler (bfiller) on 2014-08-28
Changed in messaging-app:
status: New → Confirmed
Changed in messaging-app (Ubuntu):
status: New → Confirmed
Changed in messaging-app:
importance: Undecided → Medium
Changed in messaging-app (Ubuntu):
importance: Undecided → Medium
Changed in messaging-app:
assignee: nobody → Renato Araujo Oliveira Filho (renatofilho)
Changed in messaging-app (Ubuntu):
assignee: nobody → Renato Araujo Oliveira Filho (renatofilho)
Bill Filler (bfiller) on 2014-08-28
tags: added: touch-2014-09-11
tags: added: ota-1
removed: touch-2014-09-11
Victor Tuson Palau (vtuson) wrote :

this is critical for UX

tags: removed: ota-1
Benjamin Keyser (bjkeyser) wrote :

As discussed with Bill... please implement the design as is, but if faced with a do or don't choice, the fallback is dropping the horizontal line, place the message into the background, and right align the message and use the font size indicated (rather than centering with the horizontal line as show)

Bill Filler (bfiller) wrote :

@tiago
To be clear what is being requested:
- always show the sim label in the bubble (when dual sims) on Recieved messages only
- never show the sim label in the bubble for sent messages
- whenever the sim is changed in the header insert a divider/label into the list with the info about the change (see attached graphic)

Changed in messaging-app:
assignee: Renato Araujo Oliveira Filho (renatofilho) → Tiago Salem Herrmann (tiagosh)
Changed in messaging-app (Ubuntu):
assignee: Renato Araujo Oliveira Filho (renatofilho) → Tiago Salem Herrmann (tiagosh)
Bill Filler (bfiller) on 2014-09-24
Changed in messaging-app:
importance: Medium → High
Changed in messaging-app (Ubuntu):
importance: Medium → High
tags: added: touch-2014-10-02
Bill Filler (bfiller) on 2014-09-29
Changed in history-service (Ubuntu RTM):
importance: Undecided → High
status: New → Confirmed
assignee: nobody → Tiago Salem Herrmann (tiagosh)
Changed in messaging-app (Ubuntu RTM):
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Tiago Salem Herrmann (tiagosh)
tags: added: touch-2014-10-09
removed: touch-2014-10-02
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package messaging-app - 0.1+14.10.20141007.1-0ubuntu1

---------------
messaging-app (0.1+14.10.20141007.1-0ubuntu1) 14.09; urgency=low

  [ Bill Filler ]
  * use header in splash screen (LP: #1378379)

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Gustavo Pichorim Boiko ]
  * Ship the messaging-app icon together with the package (LP: #1365408)

  [ Tiago Salem Herrmann ]
  * Add initial support for the new information messageType. Notify
    users when the active sim card was switched. (LP: #1356950)
  * Don't show the attachment popup on onClicked(). Update bottom edge
    behavior (LP: #1368718)
  * Add support for sim lock. (LP: #1371661)
  * Fix black image in the mms preview. (LP: #1373462)
  * Make conversations view header fixed.
 -- Ubuntu daily release <email address hidden> Tue, 07 Oct 2014 16:58:07 +0000

Changed in messaging-app (Ubuntu RTM):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package history-service - 0.1+14.10.20141003-0ubuntu1

---------------
history-service (0.1+14.10.20141003-0ubuntu1) 14.09; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Tiago Salem Herrmann ]
  * Add support for a new message Type: MessageTypeInformation (LP:
    #1356950)

history-service (0.1+14.10.20140912-0ubuntu1) utopic; urgency=low

  [ Gustavo Pichorim Boiko ]
  * Add support for matching contact info in the data models. (LP:
    #1362387)
  * Keep the models sorted all the time, even when new events arrive.
    Also replace the thread grouping proxy model by a real model that
    groups threads.
  * If the models are used from QML, update the query right after the
    component setup is finished.

  [ Tiago Salem Herrmann ]
  * Create temporary tables in memory
  * Skip messages with the "skip-storage" flag set (LP: #1340255)
 -- Ubuntu daily release <email address hidden> Fri, 03 Oct 2014 15:48:10 +0000

Changed in history-service (Ubuntu RTM):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package messaging-app - 0.1+14.10.20141007.1-0ubuntu1

---------------
messaging-app (0.1+14.10.20141007.1-0ubuntu1) 14.09; urgency=low

  [ Bill Filler ]
  * use header in splash screen (LP: #1378379)

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Gustavo Pichorim Boiko ]
  * Ship the messaging-app icon together with the package (LP: #1365408)

  [ Tiago Salem Herrmann ]
  * Add initial support for the new information messageType. Notify
    users when the active sim card was switched. (LP: #1356950)
  * Don't show the attachment popup on onClicked(). Update bottom edge
    behavior (LP: #1368718)
  * Add support for sim lock. (LP: #1371661)
  * Fix black image in the mms preview. (LP: #1373462)
  * Make conversations view header fixed.
 -- Ubuntu daily release <email address hidden> Tue, 07 Oct 2014 16:58:07 +0000

Changed in messaging-app (Ubuntu):
status: Confirmed → Fix Released
Bill Filler (bfiller) on 2014-10-09
Changed in messaging-app:
status: Confirmed → Fix Released
Changed in ubuntu-ux:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers